package com.hzy.project.business.income.mapper;

import java.util.List;
import com.hzy.project.business.income.domain.Income;
import com.hzy.project.business.income.domain.IncomeVo;

/**
 * 收入Mapper接口
 * 
 * @author ruoyi
 * @date 2026-01-04
 */
public interface IncomeMapper 
{
    /**
     * 查询收入
     * 
     * @param incomeId 收入主键
     * @return 收入
     */
    public Income selectIncomeByIncomeId(Long incomeId);

    /**
     * 查询收入列表
     * 
     * @param income 收入
     * @return 收入集合
     */
    public List<Income> selectIncomeList(Income income);
    public List<IncomeVo> selectIncomeVoList(IncomeVo income);

    /**
     * 新增收入
     * 
     * @param income 收入
     * @return 结果
     */
    public int insertIncome(Income income);

    /**
     * 修改收入
     * 
     * @param income 收入
     * @return 结果
     */
    public int updateIncome(Income income);

    /**
     * 删除收入
     * 
     * @param incomeId 收入主键
     * @return 结果
     */
    public int deleteIncomeByIncomeId(Long incomeId);

    /**
     * 逻辑删除收入
     *
     * @param incomeId 收入主键
     * @return 结果
     */
    public int logicDelIncomeByIncomeId(Long incomeId);

    /**
     * 批量删除收入
     * 
     * @param incomeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeByIncomeIds(String[] incomeIds);

    /**
     * 批量逻辑删除收入
     *
     * @param incomeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int logicDelIncomeByIncomeIds(String[] incomeIds);

}
